<assembly>
  <id>bin</id>
  <includeBaseDirectory>false</includeBaseDirectory>
  <!-- 最终打包成一个用于发布的zip文件 -->
  <formats>
    <format>zip</format>
  </formats>

  <!-- Adds dependencies to zip package under lib directory -->
  <dependencySets>
    <dependencySet>
      <!--
         不使用项目的artifact，第三方jar不要解压，打包进zip文件的lib目录
     -->
      <useProjectArtifact>false</useProjectArtifact>
      <outputDirectory>lib</outputDirectory>
      <unpack>false</unpack>
    </dependencySet>
  </dependencySets>

  <fileSets>
    <fileSet>
      <directory>${project.build.directory}</directory>
      <outputDirectory></outputDirectory>
      <includes>
        <include>*.jar</include>
      </includes>
    </fileSet>
    <fileSet>
      <directory>${project.basedir}/bin</directory>
      <outputDirectory></outputDirectory>
    </fileSet>
  </fileSets>

</assembly>  